## #+TITLE: 
## #+AUTHOR: Emilio Torres Manzanera
## #+DATE: Time-stamp: <2023-11-06 11:10 emilio on emilio-XPS-15-9570>
## #+TAGS: 
## #+PROPERTY: header-args :results output :exports both :session 




##' Error cuadrático medio para Sepal.Length de iris
##'
##' Modela un base train y la valida con la base test.
##' No debe estar paralelizada ni tardar más de 10 minutos
##' en obtener el resultado.
##' @title Modelo de entrenamiento para Sepal.Length de iris
##' @param train Base de entrenamiento
##' @param test Base de validación
##' @return Error cuadrático medio.
##' @author emilio
##' @export 
##' @examples
##' ## Predecir Sepal.Length de la base de datos iris
##' train <- iris[1:75,]
##' test <- iris[76:150,]
##' uo123456(train,test)
##' ## uo123456
##' ## 1.464094 
uo123456 <- function(train,test) {

    ## require(data.table) # Poner al principio los paquetes necesarios.

    ## Modelo 1.
    ## Modelo básico: coge la media de la base de entrenamiento.
    media <- mean(train[["Sepal.Length"]])

    ## Otros modelos, transformaciones, etc.

    ## Predicción
    yhat  <-  media # Predice la media para todos.

    ## Error cuadrático medio de la predicción
    error <- mean((yhat-test[["Sepal.Length"]])^2)
    c(uo123456=error) # Devolvemos el error con el nombre de usuario
}


